Subject: Re: [PATCH 1/2] Add "--only-untracked" flag to status commands.

From: Junio C Hamano <[email-masked]>
Date: Fri, 24 Aug 2007 16:06:23 -0700

Jakub Narebski <[email-masked]> writes:

> Junio C Hamano wrote:
>
>> I think the latter is more important point.  If you train a
>> naive user to use --only-tracked to ignore "Untracked" list, you
>> are doing him or her a great disservice.  Mistake to forget "git
>> add" a new file before commiting will bound to happen.
>
> If it won't acquire short version, nor tab completion, mosts users when
> confronted with such a mothful of option-name wouldn't use it unless
> necessary, I think...

Yeah, but if we accept that --only-tracked patch, I know from
the past experience that people would send a "shorter synonym"
patch, arguing that the capability is already there.

I really think we should resist temptation to add misfeatures
that would encourage bad workflows and new user mistakes.